about summary refs log tree commit diff
path: root/pkgs/build-support/fetchurl/builder.sh
diff options
context:
space:
mode:
authorEelco Dolstra <eelco.dolstra@logicblox.com>2005-02-22 15:34:58 +0000
committerEelco Dolstra <eelco.dolstra@logicblox.com>2005-02-22 15:34:58 +0000
commit44a1f6078742e2da695420ed84f3ef68a7554442 (patch)
tree054528f90d01383afaca3f3e0728ec4aadb7ec44 /pkgs/build-support/fetchurl/builder.sh
parent4eba4a211e649b4f27e17a69e91bee4611253bb2 (diff)
downloadnixlib-44a1f6078742e2da695420ed84f3ef68a7554442.tar
nixlib-44a1f6078742e2da695420ed84f3ef68a7554442.tar.gz
nixlib-44a1f6078742e2da695420ed84f3ef68a7554442.tar.bz2
nixlib-44a1f6078742e2da695420ed84f3ef68a7554442.tar.lz
nixlib-44a1f6078742e2da695420ed84f3ef68a7554442.tar.xz
nixlib-44a1f6078742e2da695420ed84f3ef68a7554442.tar.zst
nixlib-44a1f6078742e2da695420ed84f3ef68a7554442.zip
* `md5' -> `id' in compatibility mode.
svn path=/nixpkgs/trunk/; revision=2273
Diffstat (limited to 'pkgs/build-support/fetchurl/builder.sh')
-rw-r--r--pkgs/build-support/fetchurl/builder.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/pkgs/build-support/fetchurl/builder.sh b/pkgs/build-support/fetchurl/builder.sh
index 74ea1f5a9c58..afa381fabc6c 100644
--- a/pkgs/build-support/fetchurl/builder.sh
+++ b/pkgs/build-support/fetchurl/builder.sh
@@ -5,9 +5,13 @@ header "downloading $out from $url"
 curl --fail --location --max-redirs 20 "$url" > "$out"
 
 if test "$NIX_OUTPUT_CHECKED" != "1"; then
+    if test "$outputHashAlgo" != "md5"; then
+        echo "hashes other than md5 are unsupported in Nix <= 0.7, upgrade to Nix 0.8"
+        exit 1
+    fi
     actual=$(md5sum -b "$out" | cut -c1-32)
-    if test "$actual" != "$md5"; then
-        echo "hash is $actual, expected $md5"
+    if test "$actual" != "$id"; then
+        echo "hash is $actual, expected $id"
         exit 1
     fi
 fi